# dotfiles

nix flake config! this is just used on my personal computer

## users

this flake is built upon a single user system for all hosts, enforced by [`modules/user.nix`](./modules/user.nix). this makes it alot easier to make moduels that use nixos and `home-manager`

## hosts

each host should have these files:
  - `default.nix`, contains everything relating to the basic system
  - `hardware.nix`, hardware configuration.

## todo

  - move common config such as bootloader and networking settings to [`default.nix`](./default.nix)
  - multi architecture configuration
  - find out how to make the other monitor 4k@60hz. i have a feeling it may be the cable (ive ruled out display stream compression (we don't have it), and also tried overclocking using modeline (turns the monitor blank/no output))  
    a table is shown below that i will use to keep track of the cables i test
    |                          | windows | linux   |
    |--------------------------|---------|---------|
    | chinese DP->HDMI adapter | 4k@60hz | 4k@30hz |
  - bitwarden
  - qt themes?